Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'

  get 'sessions/destroy', to: 'sessions#destroy', as: 'logout'

  resources :answers
  resources :questions
  resources :questionnaires
  # get 'questionnaires', to: 'questionnaires#index', as: 'questionnaires'
  get 'users/new'
  post 'users/create', to: 'users#create'

  get 'users/edit/:id', to: 'users#edit', as: 'edit_user' 
  put 'users/update/:id', to: 'users#update', as: 'update_user'

  get 'users/show'

  get 'users/forgotten'
  post 'users/send_forgotten', to: 'users#send_forgotten'

  get 'say/hello'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
